Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

UpdateSNSHttpEndpoint

UpdateSNSHttpEndpoint

PUT/zstack/v1/sns/application-endpoints/http/{uuid}/actions

Operation ID

UpdateSNSHttpEndpoint

Since

5.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource uuid.

Body Fields

  • url
    String

    Optional. The webhook url.

  • username
    Boolean

    Optional. The username.

  • password
    String

    Optional. The password.

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed descrption of resource.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SNSApplicationEndpointInventoryRequired

    See inventory.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The type.

    • platformUuid
      StringRequired

      The application platform UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.